//
//  Bitmap.h
//  MandelOpper
//
//  Created by Ken Anderson on 4/29/12.
//  Copyright (c) 2012 University of Colorado, Boulder. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Bitmap : NSObject {
    NSUInteger _width;      // number of pixels per line
    NSUInteger _height;     // number of lines
    unsigned char *_buffer; // a buffer to contain all of the pixels
}

@property (readonly) NSUInteger width;
@property (readonly) NSUInteger height;

- (id) initWithWidth: (NSUInteger) width height: (NSUInteger) height;

- (NSBitmapImageRep *) imageRep;

- (unsigned char *) baseAddressForLine: (NSUInteger) line;

@end
